// IMPORTANT:
// This is OpenSwathAlgoConfig.h / OpenSwathAlgoConfig.h.in
// Please do ONLY change *.in, as *.h is automagically
// created by CMAKE from *.h.in

// --------------------------------------------------------------------------
//                   OpenMS -- Open-Source Mass Spectrometry
// --------------------------------------------------------------------------
// Copyright The OpenMS Team -- Eberhard Karls University Tuebingen,
// ETH Zurich, and Freie Universitaet Berlin 2002-2012.
//
// This software is released under a three-clause BSD license:
//  * Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//  * Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//  * Neither the name of any author or any participating institution
//    may be used to endorse or promote products derived from this software
//    without specific prior written permission.
// For a full list of authors, refer to the file AUTHORS.
// --------------------------------------------------------------------------
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL ANY OF THE AUTHORS OR THE CONTRIBUTING
// INSTITUTIONS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
// OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
// WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
// OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
// ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// --------------------------------------------------------------------------
// $Maintainer: Stephan Aiche, Hannes Roest $
// $Authors: Stephan Aiche, Hannes Roest, Chris Bielow $
// --------------------------------------------------------------------------

// based on config.h.in of OpenMS

// let Cmake decide if we are using Windows (ie if windows.h is available).
//   GCC and MSVC have pre-defined macros for this as well but using -ansi in GCC will disable those, thus asking the compiler is fragile
#ifndef WIN32 //avoid warning of redefinition
/* #undef WIN32 */
#endif

#ifdef WIN32 //should be true on: MinGW (32bit + 64bit) & MSVS compiler
#define OPENSWATHALGO_WINDOWSPLATFORM 1
#endif

// The directory where OpenSWATH is build
#define OPENSWATH_SOURCE_PATH "/builddir/build/BUILD/OpenMS-1.11.1"

// are we building a shared lib?
#define BUILD_SHARED_LIBS

/* #undef USE_BOOST_UNIT_TEST */

#ifdef OPENSWATHALGO_WINDOWSPLATFORM
# ifdef BUILD_SHARED_LIBS
#  if defined OpenSwathAlgo_EXPORTS //automatically defined by CMake when building OpenMS dll
#    define OPENSWATHALGO_DLLAPI __declspec(dllexport)
#  else
#    define OPENSWATHALGO_DLLAPI __declspec(dllimport)
#  endif
# endif
#endif
#ifndef OPENSWATHALGO_DLLAPI //leave empty when not building DLL
# define OPENSWATHALGO_DLLAPI
#endif
#ifndef OPENSWATHALGO_DLLAPI //leave empty when not building DLL
# define OPENSWATHALGO_DLLAPI
#endif
